org.apache.cassandra.db.aggregation

## Class GroupingState.Serializer

- java.lang.Object
- - org.apache.cassandra.db.aggregation.GroupingState.Serializer

Enclosing class:
  GroupingState

    public static class GroupingState.Serializer
    extends java.lang.Object

### Constructor Summary

Constructors
Constructor and Description
`Serializer()`

### Method Summary

All Methods Instance Methods Concrete Methods
`GroupingState` `deserialize(DataInputPlus in, int version, ClusteringComparator comparator)`
`void` `serialize(GroupingState state, DataOutputPlus out, int version, ClusteringComparator comparator)`
`long` `serializedSize(GroupingState state, int version, ClusteringComparator comparator)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Serializer

    public Serializer()

### Method Detail

#### serialize

    public void serialize(GroupingState state,
                          DataOutputPlus out,
                          int version,
                          ClusteringComparator comparator)
                   throws java.io.IOException

Throws:
  `java.io.IOException`

#### deserialize

    public GroupingState deserialize(DataInputPlus in,
                                     int version,
                                     ClusteringComparator comparator)
                              throws java.io.IOException

Throws:
  `java.io.IOException`

#### serializedSize

    public long serializedSize(GroupingState state,
                               int version,
                               ClusteringComparator comparator)